List URL paths

post https://app.mk.io/api/v1/projects/:project_name/media/streamingLocators/:locator_name/listPaths

ListPaths returns the set of valid streaming paths for a given Streaming Locator. A distinct set of paths is returned for each type of DRM configured, per the 'EnabledProtocols' property of the streaming policy.

Authentication

Authorization Bearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_name string Required
locator_name string Required

Request

This endpoint expects an object.

urlStyleenumOptionalDefaults to AMS
The style of URL associated to the streaming endpoint. Default is 'AMS'.
Allowed values:AMSAquilaUnified

Response

200 Streaming locator paths returned.
downloadPathslist of stringsRequired
The download paths for the locator.
drmmap from strings to objectStreamingLocatorDrmRequired
The license acquisition URLs for configured DRM types.
Show value schemaHide value schema
[any key]object
Show 2 propertiesHide 2 properties
certificateUrlstringOptional
The URL for obtaining the streaming certificate.
licenseAcquisitionUrlstringRequired
The license acquisition URL for the DRM.
streamingPathslist of objectsStreamingLocatorListPathsStreamingPathsRequired
The streaming paths for the locator.
Show 3 propertiesHide 3 properties
encryptionSchemeenumRequired
The encryption scheme used for the path.
Allowed values:NoEncryptionEnvelopeEncryptionCommonEncryptionCencCommonEncryptionCbcs
pathslist of stringsRequired
The paths for the locator.
streamingProtocolenumRequired
The streaming protocol used for the path.
Allowed values:HlsDashDownloadSmoothStreaming

Errors

400 Bad Request
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
401 Unauthorized
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
403 Forbidden
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
404 Not Found
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
429 Too Many Requests
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code
500 Internal Server Error
errorobjectErrorDetailRequired
Pertinent information about the error
Show 3 propertiesHide 3 properties
codestringRequired
The error code.
detailstringRequired
The error message.
extraDetailmap from strings to anyOptional
Extra information regarding this error.
Show value schemaHide value schema
[any key]any
refstringRequired
A reference to the request that caused the error.
statusintegerRequired
The HTTP status code